Skip to content

getContacts

READ

Get contacts.

POST /api/v1/people/getContacts
curl -X POST '<your-host>/api/v1/people/getContacts' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "email": "string",
      "fax": "string",
      "firstName": "string",
      "fullName": "string",
      "homePhone": "string",
      "id": "string",
      "isCustomer": true,
      "lastName": "string",
      "mobilePhone": "string",
      "notes": "string",
      "title": "string",
      "workPhone": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}